/****************************************************************************

    utils.h
    utility functions

    DoubleDash game
      
    Copyright (C) 2003  Michal Benes
  
    DoubleDash is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2.1 of the License, or (at your option) any later version.
  
    This code is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.
  
    You should have received a copy of the GNU Lesser General Public
    License along with this code; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
                                                                               
*****************************************************************************/


#ifndef __UTILS_H
#define __UTILS_H


/*
  allocates memory, exits on error
*/
void *utils_malloc( int size );


/*
  return full filename including datadir
 */
char *utils_fullname( char *name );


/*
  trims whitespace characters from a buffer
*/
char *utils_trim( char *buf );


/*
  reads parameter value
*/
int utils_get_param( char *buf, char *name, int *value );



/*
  random number
*/
int utils_rnd( int n );

#endif /* __UTILS_H */
